Bug 481924 - RFE: Allow for static PCI address assignment to all devices
RFE: Allow for static PCI address assignment to all devices
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
6.0
All Windows
medium Severity medium
: beta
: ---
Assigned To: Daniel Berrange
Virtualization Bugs
http://mantis.tlv.redhat.com/view.php...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 13:31 EST by yeylon@redhat.com
Modified: 2016-04-18 02:12 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-11 11:20:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Red Hat Bugzilla 2009-01-27 13:31:14 EST


---- Reported by yeylon@redhat.com 2007-12-02 14:43:04 EDT ----

booting a guest and installing the tools using qxl display, when booting the guest again later using VNC you will be requested to install driver for PV once more (and it will not happen automatically)



---- Additional Comments From ykaul@redhat.com 2007-12-02 17:49:27 EDT ----

I think there's a bug about this for Izik, about PCI devices persistency in their 'slots'



--- Bug imported by bugzilla@redhat.com 2009-01-27 13:31 EDT ---

This bug was previously known as _bug_ 2423 at http://mantis.tlv.redhat.com/show_bug.cgi?id=2423

Actual time not defined. Setting to 0.0

Comment 1 Miki Kenneth 2009-04-11 17:26:37 EDT
can it be closed?
Comment 2 Daniel Berrange 2009-12-13 09:37:35 EST
The task of ensuring consistent PCI slots is not really something to be solved at the KVM level, it merely exposes the mechanism todo so (the new -device arg allows PCI addr to be set). libvirt is intending to allow static PCI slots to be specified when configuring guests, so if this bug is still needed, it should likely be switched over to the libvirt component
Comment 4 Daniel Berrange 2010-01-08 12:33:15 EST
Updated combined series with this support

http://www.redhat.com/archives/libvir-list/2010-January/msg00151.html
Comment 5 Daniel Veillard 2010-01-21 12:37:24 EST
libvirt-0.7.6-0.pre20100121.el6 has been built in RHEL-6-candidate
and includes the new QEmu device setting code,

Daniel
Comment 7 dyuan 2010-06-24 09:20:30 EDT
Verified PASSED with libvirt-0.8.1-10.el6. libvirt could stable guest ABI .

Test scenario:
1. Upgrade qemu-kvm on host
2. remove device from guest
Comment 8 releng-rhel@redhat.com 2010-11-11 11:20:06 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.